/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_debug.h                                         :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: ale-batt <ale-batt@student.42.fr>          +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2016/01/25 15:49:06 by ale-batt          #+#    #+#             */
/*   Updated: 2016/01/25 17:34:48 by ale-batt         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#ifndef FT_DEBUG_H
# define FT_DEBUG_H

# define ON 1
# define OFF 0

# define DBG_PRINT(format, ...) set_debug_mode(ON); fprintf (dbg, format, ## __VA_ARGS__); set_debug_mode(OFF);

FILE	*dbg;

void	set_debug_mode(int mode);
void	dbg_print(char *str);

#endif
