/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   libft.h                                            :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: ale-batt <ale-batt@student.42.fr>          +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2014/11/03 12:20:58 by ale-batt          #+#    #+#             */
/*   Updated: 2016/01/25 16:38:21 by ale-batt         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#ifndef LIBFT_H
# define LIBFT_H

# include <unistd.h>
# include <string.h>
# include <stdlib.h>
# include <stdio.h>

# include "ft_array.h"
# include "ft_convert.h"
# include "ft_ctype.h"
# include "ft_list.h"
# include "ft_memory.h"
# include "ft_numbers.h"
# include "ft_puts.h"
# include "ft_string.h"
# include "ft_debug.h"

# include "get_next_line.h"
# include "ft_hash.h"

# define INT_MAX 2147483647
# define INT_MIN -2147483648

#endif
