/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_sort_argv.c                                     :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: ale-batt <ale-batt@student.42.fr>          +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2015/01/20 15:06:39 by ale-batt          #+#    #+#             */
/*   Updated: 2015/12/08 16:15:46 by ale-batt         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "libft.h"

static void	swap(char **a, char **b)
{
	char *cpy;

	cpy = *b;
	*b = *a;
	*a = cpy;
}

char		**ft_sort_argv(char **argv)
{
	int	size_tab;
	int	y;

	size_tab = 0;
	y = 0;
	while (argv[size_tab] != NULL)
		size_tab++;
	while (y < size_tab)
	{
		if (argv[y + 1] != NULL)
		{
			if (ft_strcmp(argv[y], argv[y + 1]) > 0)
			{
				swap(&argv[y], &argv[y + 1]);
				y = 0;
			}
			else
				y++;
		}
		else
			y++;
	}
	return (argv);
}
