/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_realloc.c                                       :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: ale-batt <ale-batt@student.42.fr>          +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2014/12/03 12:44:31 by ale-batt          #+#    #+#             */
/*   Updated: 2014/12/03 13:02:52 by ale-batt         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "libft.h"

char	*ft_realloc(char *str)
{
	char	*new;

	new = (char *)malloc(1 + sizeof(char) * ft_strlen(str));
	ft_strcpy(new, str);
	if (!str)
		free(str);
	return (new);
}
